ServerEvents.recipes(event => {
/*
  event.remove({ mod: 'archers_paradox' })

  let arrowFletching = (arrow, arrowHead, shaft, fletching) => {
    let arrowHeadIngredient = arrowHead.startsWith('#') ? {"tag": arrowHead.substr(1)} : {"item": arrowHead};
    let shaftIngredient = shaft.startsWith('#') ? {"tag": shaft.substr(1)} : {"item": shaft};
    let fletchingIngredient = fletching.startsWith('#') ? {"tag": fletching.substr(1)} : {"item": fletching};
    event.remove({output: arrow});
    event.custom({
      "type": "apotheosis:fletching",
      "ingredients": [
        arrowHeadIngredient, 
        shaftIngredient, 
        fletchingIngredient],
      "result": {"item": arrow, "count": 6}
    });
  }
  
  arrowFletching('archers_paradox:blaze_arrow', 'minecraft:blaze_powder', '#forge:rods/wooden', '#forge:feathers')
  arrowFletching('archers_paradox:diamond_arrow', '#forge:gems/diamond', '#forge:rods/wooden', '#forge:feathers')
  arrowFletching('archers_paradox:ender_arrow', '#forge:ender_pearls', '#forge:rods/wooden', '#forge:feathers')
  arrowFletching('archers_paradox:explosive_arrow', '#caramel:explosives', '#forge:rods/wooden', '#forge:feathers')
  arrowFletching('archers_paradox:frost_arrow', '#forge:ice_cubes', '#forge:rods/wooden', '#forge:feathers')
  arrowFletching('archers_paradox:lightning_arrow', '#forge:ingots/copper', '#forge:rods/wooden', '#forge:feathers') // Remake this recipe later
  arrowFletching('archers_paradox:phantasmal_arrow', 'galosphere:cured_membrane', '#forge:rods/silver', '#forge:feathers')
  arrowFletching('archers_paradox:prismarine_arrow', '#forge:dusts/prismarine', '#forge:rods/wooden', '#forge:feathers')
  arrowFletching('archers_paradox:quartz_arrow', '#forge:gems/quartz', '#forge:rods/wooden', '#forge:feathers')
  arrowFletching('archers_paradox:shulker_arrow', '#caramel:shulker_arrowheads', 'minecraft:popped_chorus_fruit', '#forge:feathers')
  arrowFletching('archers_paradox:slime_arrow', '#forge:slimeballs', '#forge:rods/wooden', '#forge:feathers')
  arrowFletching('caverns_and_chasms:blunt_arrow', 'caverns_and_chasms:spinel', '#forge:rods/wooden', '#forge:feathers')
  arrowFletching('minecraft:arrow', '#caramel:basic_arrowheads', '#forge:rods/wooden', '#forge:feathers') 
*/
  event.shapeless('archers_paradox:spore_arrow', ['#forge:mushrooms', 'minecraft:arrow'])
  event.shapeless('archers_paradox:verdant_arrow', ['minecraft:bone_meal', 'minecraft:arrow'])


})